View Issue Details

IDProjectCategoryView StatusLast Update
0000967Main CAcert Websiteorganisational sectionpublic2013-01-15 17:40
ReporterINOPIAE Assigned Toegal  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Fixed in Version2012 Q3 
Summary0000967: Give an OA the oppertuntiy to check if a desiginated Organisation Admininistrator is a CAcert assurer
DescriptionAt the moment an OA has to ask support if a designated Organisation Administrator is an CAcert assurer (100pts CATS passed), which is a precondition according to OAP.
If an Organisation Administrator is added to the organisation there is no check from the software if the entered person is a CAcert Assurer or not.
I think there should be 2 checks. One is prior to entering the Organisation assurance to check if all preconditions are fulfilled and the second check to make sure only an Assurer can be entered into as Organisation Administrator (https://secure1.it-sls.de/account.php?id=33).
TagsNo tags attached.
Reviewed bydastrath, NEOatNHNG
Test Instructions

Relationships

related to 0000957 closedNEOatNHNG Resize the comment field on https://secure.cacert.org/account.php?id=27 so more information is visible 
related to 0000512 closedNEOatNHNG Org admins must have 100 points 
related to 0000649 needs review & testingEva verify that someone is an Assurer 

Activities

Ted

2011-08-08 21:39

administrator   ~0002286

The Education Officer needs the same functionality when issuing Assurer Challenge Certificates.

And while we are at it, I would appreceate a public function which would allow to check the assurance level (not assured, assured, fully assured, Assurer) of the account which has issued a certificate. Select the root and enter the serial and the system tells you "not assured" (or any other of the possible results).
But this may probably be worth its own bug number...

Uli60

2011-08-19 12:04

updater  

account.php (117,805 bytes)

Uli60

2011-08-19 12:06

updater   ~0002310

/includes/account.php
added check for CATS passed and Pts >= 100
with displaying an appropiate error if added user doesn't fulfill the requirements

functions recycled from bug 0000827
cats passed check, calculate assurance points
works as expected in local testserver environment

NEOatNHNG

2012-04-18 22:44

administrator   ~0002948

I have slightly modified the proposed changes and added them to the test system.

Please test and review.

Uli60

2012-04-18 23:10

updater   ~0002949

Last edited: 2012-04-18 23:16

View 2 revisions

login to Org-Assurer account with OrgAdmin=1 flag set

selecting Org (OrgAdmin - View Organisations)
select one organisation, add administrators:

add user 1: known user with CATS passed, > 100 pts
can be added, no error message
next page displays added user

add user 2: known user the CATS not yet passed (IsAssurer=0), 80 assurance points
Results in red error message on top:
"The user is not an Assurer yet"
=> Ok

add user 3: known user CATS not yet passed (IsAssurer=0), 100 assurance points
Results in red error message on top:
"The user is not an Assurer yet"
=> Ok

add user 4: known user CATS passed (trainings show lists 1 passed CATS test) (IsAssurer=0), 80 assurance points
Results in red error message on top:
"The user is not an Assurer yet"
=> Ok

INOPIAE

2012-04-20 06:12

updater   ~0002950

login to Org-Assurer account with OrgAdmin=1 flag set

select Org (OrgAdmin - View Organisations)
select one organisation, add administrators:

add user 1: known user with CATS passed, > 100 pts
can be added, no error message
next page displays added user

add user 2: known user the CATS not yet passed (IsAssurer=0), 80 assurance points
Results in red error message on top:
"The user is not an Assurer yet"
=> Ok

add user 3: known user CATS not yet passed (IsAssurer=0), 100 assurance points
Results in red error message on top:
"The user is not an Assurer yet"
=> Ok

add user 4: known user CATS passed (trainings show lists 1 passed CATS test) (IsAssurer=0), 80 assurance points
Results in red error message on top:
"The user is not an Assurer yet"
=> Ok

Uli60

2012-04-25 00:02

updater   ~0002965

tested by 2
needs 2nd review, goot to go

Benedikt

2012-05-01 14:27

updater   ~0002975

Test done. Results:

add user 1: known user with CATS passed, > 100 pts
can be added, no error message
next page displays added user

add user 2: known user the CATS not yet passed (IsAssurer=0), 80 assurance points
Results in red error message on top:
"The user is not an Assurer yet"
=> Ok

add user 3: known user CATS not yet passed (IsAssurer=0), 100 assurance points
Results in red error message on top:
"The user is not an Assurer yet"
=> Ok

add user 4: known user CATS passed (trainings show lists 1 passed CATS test) (IsAssurer=0), 80 assurance points
Results in red error message on top:
"The user is not an Assurer yet"
=> Ok

Benedikt

2012-06-16 14:20

updater   ~0003070

So how about this bug? Is my review not enough?

Uli60

2012-07-03 22:52

updater   ~0003084

reviewed by dastrath within Software-Assessment project meeting
https://wiki.cacert.org/Software/Assessment/20120703-S-A-MiniTOP
patch is ok
(ghostwriter u60 for dastrath)

NEOatNHNG

2012-07-03 23:04

administrator   ~0003085

Mail sent to critical admins

wytze

2012-07-04 09:04

developer   ~0003086

The fix has been installed on the production server on July 4, 2012; see also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2012-07/msg00003.html

Werner Dworak

2012-12-21 05:22

updater   ~0003527

More than 3 month fixed and no complaints

Issue History

Date Modified Username Field Change
2011-08-08 17:25 INOPIAE New Issue
2011-08-08 21:39 Ted Note Added: 0002286
2011-08-19 12:03 Uli60 Relationship added related to 0000957
2011-08-19 12:04 Uli60 File Added: account.php
2011-08-19 12:04 Uli60 Assigned To => Uli60
2011-08-19 12:06 Uli60 Note Added: 0002310
2011-08-19 12:06 Uli60 Status new => fix available
2011-09-10 12:58 INOPIAE Relationship added related to 0000512
2012-04-18 22:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver 7e65145d
2012-04-18 22:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver 1e98bc7a
2012-04-18 22:44 NEOatNHNG Note Added: 0002948
2012-04-18 22:44 NEOatNHNG Status fix available => needs review & testing
2012-04-18 22:44 NEOatNHNG Reviewed by => NEOatNHNG
2012-04-18 23:10 Uli60 Note Added: 0002949
2012-04-18 23:16 Uli60 Note Edited: 0002949 View Revisions
2012-04-20 06:12 INOPIAE Note Added: 0002950
2012-04-25 00:02 Uli60 Note Added: 0002965
2012-04-25 00:02 Uli60 Status needs review & testing => needs review
2012-04-25 00:03 Uli60 Assigned To Uli60 => egal
2012-05-01 14:27 Benedikt Note Added: 0002975
2012-05-28 10:50 INOPIAE Relationship added related to 0000649
2012-06-16 14:20 Benedikt Note Added: 0003070
2012-07-03 22:52 Uli60 Note Added: 0003084
2012-07-03 23:04 NEOatNHNG Reviewed by NEOatNHNG => dastrath, NEOatNHNG
2012-07-03 23:04 NEOatNHNG Note Added: 0003085
2012-07-03 23:04 NEOatNHNG Status needs review => ready to deploy
2012-07-03 23:10 NEOatNHNG Source_changeset_attached => cacert-devel release fd4fbe21
2012-07-04 09:04 wytze Note Added: 0003086
2012-07-04 09:04 wytze Status ready to deploy => solved?
2012-07-04 09:04 wytze Resolution open => fixed
2012-12-21 05:22 Werner Dworak Note Added: 0003527
2012-12-21 05:22 Werner Dworak Status solved? => closed
2013-01-15 17:40 Werner Dworak Fixed in Version => 2012 Q3